"""
setup packaging script for disparity
"""

import os

version = "0.0"
dependencies = ['webob']

# allow use of setuptools/distribute or distutils
kw = {}
try:
    from setuptools import setup
    kw['entry_points'] = """
      [console_scripts]
"""
    kw['install_requires'] = dependencies
except ImportError:
    from distutils.core import setup
    kw['requires'] = dependencies

try:
    here = os.path.dirname(os.path.abspath(__file__))
    description = file(os.path.join(here, 'README.txt')).read()
except IOError:
    description = ''


setup(name='disparity',
      version=version,
      description="mediawiki syntax proxy server for https://developer.mozilla.org/en-US/",
      long_description=description,
      classifiers=[], # Get strings from http://www.python.org/pypi?%3Aaction=list_classifiers
      author='Jeff Hammel',
      author_email='jhammel@mozilla.com',
      url='http://k0s.org/mozilla/hg/disparity',
      license='MPL',
      packages=['disparity'],
      include_package_data=True,
      zip_safe=False,
      **kw
      )

